import { ExceptionBase } from '@mobicoop/ddd-library';

export class AdAlreadyExistsException extends ExceptionBase {
  static readonly message = 'Ad already exists';

  public readonly code = 'AD.ALREADY_EXISTS';

  constructor(cause?: Error, metadata?: unknown) {
    super(AdAlreadyExistsException.message, cause, metadata);
  }
}
